<nav class="{{ (not sidebar) ? "navbar navbar-horizontal navbar-main navbar-expand-lg navbar-dark bg-primary" : "navbar navbar-top navbar-expand navbar-dark bg-primary border-bottom" }}">
    <div class="container-fluid">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- Navbar links -->
            <ul class="navbar-nav align-items-center  ml-md-auto ">
                {% if sidebar %}
                    <li class="nav-item d-xl-none">
                        <!-- Sidenav toggler -->
                        <div class="pr-3 sidenav-toggler sidenav-toggler-dark" data-action="sidenav-pin"
                             data-target="#sidenav-main">
                            <div class="sidenav-toggler-inner">
                                <i class="sidenav-toggler-line"></i>
                                <i class="sidenav-toggler-line"></i>
                                <i class="sidenav-toggler-line"></i>
                            </div>
                        </div>
                    </li>
                {% endif %}
                <li class="nav-item">
                    <a href="/" class="nav-link">{{ lang.getTranslation("home")|capitalize }}</a>
                </li>
                <li class="nav-item">
                    <a href="/classes" class="nav-link">{{ lang.getTranslation("classes")|capitalize }}</a>
                </li>
                {% if user is not defined %}
                    <li class="nav-item">
                        <div class="btn-group">
                            <a href="/login"
                               class="btn btn-secondary btn-sm">{{ lang.getTranslation("login")|capitalize }}</a>
                            <a href="/register"
                               class="btn btn-info btn-sm">{{ lang.getTranslation("register")|capitalize }}</a>
                        </div>
                    </li>
                {% endif %}
            </ul>
            {% if user is defined %}
                <ul class="navbar-nav align-items-center  ml-auto ml-md-0 ">
                    <li class="nav-item dropdown">
                        <a class="nav-link pr-0" href="#" role="button" data-toggle="dropdown" aria-haspopup="true"
                           aria-expanded="false">
                            <div class="media align-items-center">
                  <span class="avatar avatar-sm rounded-circle">
                    <img alt="Image placeholder" src="https://www.gravatar.com/avatar/{{ hashMD5 }}?d=mp">
                  </span>
                                <div class="media-body  ml-2  d-none d-lg-block">
                                    <span class="mb-0 text-sm  font-weight-bold">{{ user.getUsername()|capitalize }}</span>
                                </div>
                            </div>
                        </a>
                        <div class="dropdown-menu  dropdown-menu-right ">
                            <div class="dropdown-header noti-title">
                                <h6 class="text-overflow m-0">{{ lang.getTranslation("welcome")|capitalize }}!</h6>
                            </div>
                            <a href="/profil/{{ user.getId() }}" class="dropdown-item">
                                <i class="ni ni-single-02"></i>
                                <span>{{ lang.getTranslation(["my", "profil"])|capitalize }}</span>
                            </a>
                            <a href="/settings" class="dropdown-item">
                                <i class="ni ni-settings-gear-65"></i>
                                <span>{{ lang.getTranslation("settings")|capitalize }}</span>
                            </a>
                            <div class="dropdown-divider"></div>
                            {% if isAdmin %}
                                <a href="/admin" class="dropdown-item">
                                    <i class="ni ni-ui-04 text-danger"></i>
                                    <span>{{ lang.getTranslation("admin")|capitalize }}</span>
                                </a>
                            {% endif %}
                            <a href="/logout" class="dropdown-item">
                                <i class="ni ni-user-run"></i>
                                <span>{{ lang.getTranslation("logout")|capitalize }}</span>
                            </a>
                        </div>
                    </li>
                </ul>
            {% endif %}
        </div>
    </div>
</nav>